Canon Community Canon Community
 


Reply
VIP
Posts: 8,323
Registered: ‎08-13-2015

Re: EOS Utility 3 and macOS Mojave

“I'm not sure why anytime someone posts a question about macs, it turns into an OS bashing session (which really isn't helpful).  I find this interesting considering those casting aspersions don't actually seem to be qualified to do so.“

 

If it sounded like I was bashing the OS, that was not my intent.  I think Apple’s approach is highly effective against rouge software.

----------------------------------------------------------------------------------------------------------------------------------------------------------

"I don't rent software. I use Photoshop CS6, ACR 9.8 and Lightroom 6.8 ."
New Contributor
Posts: 1
Registered: ‎11-24-2018

Re: EOS Utility 3 and macOS Mojave

This worked perfectly. Thank you, and yes, I agree, the bashing is very unhelpful...I wish this was just at the top and I didn't have to wade the hateful waters to find it
Highlighted
New Contributor
Posts: 1
Registered: ‎12-14-2018

Re: EOS Utility 3 and macOS Mojave

Worked for me too on 10.14 Mojave, using the latest version (3.9.0) of Canon EOS Utility.
New Contributor
Posts: 2
Registered: ‎12-15-2018

Re: EOS Utility 3 and macOS Mojave

I also cannot use the Remote shooting Utility with a 7Dii or a 5Diii useing any Canon softwear on MacOS 10.14 Mojave. As of 15 Dec 18 Canon support site states 

"This software is not supported with the operating system selected and is not available for download."

 

Anyone know a work around in order for me to get back to work?

Occasional Contributor
Posts: 14
Registered: ‎11-09-2018

Re: EOS Utility 3 and macOS Mojave

The canon site now says this software is now supported by your OS Mojave? How is that? not updated any software from either apple or canon yet they suggest you do not need any additional drivers. Rubbish, still doesn't work Utility 3 still crashes as soon as I turn the camera on.

New Contributor
Posts: 2
Registered: ‎12-15-2018

Re: EOS Utility 3 and macOS Mojave

Canon site states
“Canon has not yet determined if this product will be compatible with the operating system selected. Please refer back to this site in the near future for updates”
But don’t hold your breath, as of 30/12/18 that have only got this far,
“Mac OS X 10.6 (Snow Leopard)
Mac OS X 10.7 (Lion)
OS X 10.10 (Yosemite)
OS X 10.11 (El Capitan)
OS X 10.8 (Mountain Lion)
OS X 10.9 (Mavericks)
New Contributor
Posts: 1
Registered: ‎12-31-2018

Re: EOS Utility 3 and macOS Mojave

How does this solve the issue if this is your first canon camera and you dont have any previous versons of the canon utility app and you are running mojave? I have not been able to get my computer to work with my canon m50 since the begining. 

New Contributor
Posts: 3
Registered: ‎01-19-2019

Re: EOS Utility 3 and macOS Mojave

[ Edited ]

Tim, you seems to have a lot of knowledge on this subject. I am having issues with DPP on mojave. I cannot delete photos and the program shuts down unexpectedly. Would you know what the issue is and if so is there a solution. Based on the Canon website there is no DPP version compatible with Mojave. Also do you know if Canon is updating DPP to work with Mojave? Thanks in advance.

New Contributor
Posts: 2
Registered: ‎01-20-2019

Re: EOS Utility 3 and macOS Mojave

All,

 

For Mac OS Mojave, I have reinstalled EOs utility from https://support-in.canon-asia.com/contents/IN/EN/0200544302.html 

 

This works !!

 

Try this.

 

Regards,

Mani

 

 

New Contributor
Posts: 3
Registered: ‎01-19-2019

Re: EOS Utility 3 and macOS Mojave

Hi Mani,

Thank you so much for your help regarding the EOS utility. Does the same apply to DPP and are you having any issues with DPP?

Thanks Rahul

 

powered by Lithium

LIKE US on Facebook FOLLOW US on Twitter WATCH US on YouTube CONNECT WITH US on Linkedin WATCH US on Vimeo FOLLOW US on Instagram SHOP CANON at the Canon Online Store
© Canon U.S.A., Inc.   |    Terms of Use   |    Privacy Statement